<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:27 CEST 2019 -->
<title>WireConnection (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WireConnection (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":6,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/WireConnection.html" target="_top">Frames</a></li>
<li><a href="WireConnection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractConnection">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire</div>
<h2 title="Class WireConnection" class="title">Class WireConnection&lt;T extends <a href="../../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;T&gt;,C extends <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a>&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractConnection</a>&lt;T,C&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.WireConnection&lt;T,C&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - Type of attach properties</dd>
<dd><code>C</code> - Type of connection handle</dd>
</dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">WireConnection&lt;T extends <a href="../../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;T&gt;,C extends <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a>&gt;</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;T,C&gt;
implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</a></pre>
<div class="block">Class managing the TCP/IP connection and initial handshaking with the Firebird server.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractConnection">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#attachProperties">attachProperties</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#WireConnection-T-">WireConnection</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">T</a>&nbsp;attachProperties)</code>
<div class="block">Creates a WireConnection (without establishing a connection to the
 server) with the default protocol collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#WireConnection-T-org.firebirdsql.encodings.IEncodingFactory-org.firebirdsql.gds.ng.wire.ProtocolCollection-">WireConnection</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">T</a>&nbsp;attachProperties,
              <a href="../../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;encodingFactory,
              <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire">ProtocolCollection</a>&nbsp;protocols)</code>
<div class="block">Creates a WireConnection (without establishing a connection to the
 server).</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#clearAuthData--">clearAuthData</a></span>()</code>
<div class="block">Clear authentication data.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#close--">close</a></span>()</code>
<div class="block">Closes the TCP/IP connection.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected abstract <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">C</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#createConnectionHandle-org.firebirdsql.gds.ng.wire.ProtocolDescriptor-">createConnectionHandle</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&nbsp;protocolDescriptor)</code>
<div class="block">Creates the connection handle for this type of connection.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#finalize--">finalize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html" title="class in org.firebirdsql.gds.ng.wire.auth">ClientAuthBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#getClientAuthBlock--">getClientAuthBlock</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#getProtocolArchitecture--">getProtocolArchitecture</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#getProtocolMinimumType--">getProtocolMinimumType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#getProtocolVersion--">getProtocolVersion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire">XdrStreamAccess</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#getXdrStreamAccess--">getXdrStreamAccess</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">C</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#identify--">identify</a></span>()</code>
<div class="block">Performs the connection identification phase of the Wire protocol and
 returns the FbWireDatabase implementation for the agreed protocol.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#isConnected--">isConnected</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#readNextOperation--">readNextOperation</a></span>()</code>
<div class="block">Reads the next operation code.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#resetSocketTimeout--">resetSocketTimeout</a></span>()</code>
<div class="block">Resets the socket timeout to the configured socketTimeout.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#setSoTimeout-int-">setSoTimeout</a></span>(int&nbsp;socketTimeout)</code>
<div class="block">Sets the socket blocking timeout (SO_TIMEOUT) of the socket.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#socketConnect--">socketConnect</a></span>()</code>
<div class="block">Establishes the TCP/IP connection to serverName and portNumber of this
 Connection</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#writeDirect-byte:A-">writeDirect</a></span>(byte[]&nbsp;data)</code>
<div class="block">Writes directly to the <code>OutputStream</code> of the underlying socket.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractConnection">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getAttachObjectName--">getAttachObjectName</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getAttachProperties--">getAttachProperties</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getEncoding--">getEncoding</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getEncodingDefinition--">getEncodingDefinition</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getPortNumber--">getPortNumber</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getServerName--">getServerName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="WireConnection-org.firebirdsql.gds.ng.IAttachProperties-">
<!--   -->
</a><a name="WireConnection-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WireConnection</h4>
<pre>protected&nbsp;WireConnection(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">T</a>&nbsp;attachProperties)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Creates a WireConnection (without establishing a connection to the
 server) with the default protocol collection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attachProperties</code> - Attach properties</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="WireConnection-org.firebirdsql.gds.ng.IAttachProperties-org.firebirdsql.encodings.IEncodingFactory-org.firebirdsql.gds.ng.wire.ProtocolCollection-">
<!--   -->
</a><a name="WireConnection-T-org.firebirdsql.encodings.IEncodingFactory-org.firebirdsql.gds.ng.wire.ProtocolCollection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WireConnection</h4>
<pre>protected&nbsp;WireConnection(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">T</a>&nbsp;attachProperties,
                         <a href="../../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;encodingFactory,
                         <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire">ProtocolCollection</a>&nbsp;protocols)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Creates a WireConnection (without establishing a connection to the
 server).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attachProperties</code> - Attach properties</dd>
<dd><code>encodingFactory</code> - Factory for encoding definitions</dd>
<dd><code>protocols</code> - The collection of protocols to use for this connection.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isConnected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConnected</h4>
<pre>public final&nbsp;boolean&nbsp;isConnected()</pre>
</li>
</ul>
<a name="getProtocolVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolVersion</h4>
<pre>public final&nbsp;int&nbsp;getProtocolVersion()</pre>
</li>
</ul>
<a name="getProtocolArchitecture--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolArchitecture</h4>
<pre>public final&nbsp;int&nbsp;getProtocolArchitecture()</pre>
</li>
</ul>
<a name="getProtocolMinimumType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolMinimumType</h4>
<pre>public final&nbsp;int&nbsp;getProtocolMinimumType()</pre>
</li>
</ul>
<a name="getClientAuthBlock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClientAuthBlock</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html" title="class in org.firebirdsql.gds.ng.wire.auth">ClientAuthBlock</a>&nbsp;getClientAuthBlock()</pre>
</li>
</ul>
<a name="setSoTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSoTimeout</h4>
<pre>public final&nbsp;void&nbsp;setSoTimeout(int&nbsp;socketTimeout)
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Sets the socket blocking timeout (SO_TIMEOUT) of the socket.
 <p>
 This method can also be called if a connection is established
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>socketTimeout</code> - Value of the socket timeout (in milliseconds)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If the timeout value cannot be changed</dd>
</dl>
</li>
</ul>
<a name="resetSocketTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetSocketTimeout</h4>
<pre>public final&nbsp;void&nbsp;resetSocketTimeout()
                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Resets the socket timeout to the configured socketTimeout. Does nothing
 if currently not connected.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If the timeout value cannot be changed</dd>
</dl>
</li>
</ul>
<a name="socketConnect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>socketConnect</h4>
<pre>public final&nbsp;void&nbsp;socketConnect()
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Establishes the TCP/IP connection to serverName and portNumber of this
 Connection</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLTimeoutException.html?is-external=true" title="class or interface in java.sql">SQLTimeoutException</a></code> - If the connection cannot be established within the connect
         timeout (either explicitly set or implied by the OS timeout
         of the socket)</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If the connection cannot be established.</dd>
</dl>
</li>
</ul>
<a name="getXdrStreamAccess--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXdrStreamAccess</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire">XdrStreamAccess</a>&nbsp;getXdrStreamAccess()</pre>
</li>
</ul>
<a name="identify--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>identify</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">C</a>&nbsp;identify()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Performs the connection identification phase of the Wire protocol and
 returns the FbWireDatabase implementation for the agreed protocol.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#identify--">identify</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">T</a> extends <a href="../../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">T</a>&gt;,<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">C</a> extends <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbWireDatabase</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLTimeoutException.html?is-external=true" title="class or interface in java.sql">SQLTimeoutException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="clearAuthData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearAuthData</h4>
<pre>public final&nbsp;void&nbsp;clearAuthData()</pre>
<div class="block">Clear authentication data.</div>
</li>
</ul>
<a name="createConnectionHandle-org.firebirdsql.gds.ng.wire.ProtocolDescriptor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConnectionHandle</h4>
<pre>protected abstract&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="type parameter in WireConnection">C</a>&nbsp;createConnectionHandle(<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&nbsp;protocolDescriptor)</pre>
<div class="block">Creates the connection handle for this type of connection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>protocolDescriptor</code> - The protocol descriptor selected by the identify phase</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Connection handle</dd>
</dl>
</li>
</ul>
<a name="readNextOperation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readNextOperation</h4>
<pre>public final&nbsp;int&nbsp;readNextOperation()
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Reads the next operation code. Skips all <a href="../../../../../org/firebirdsql/gds/impl/wire/WireProtocolConstants.html#op_dummy"><code>WireProtocolConstants.op_dummy</code></a> codes received.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Operation code</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if an error occurs while reading from the underlying InputStream</dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public final&nbsp;void&nbsp;close()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Closes the TCP/IP connection. This is not a normal detach operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true#close--" title="class or interface in java.io">close</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true#close--" title="class or interface in java.lang">close</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if closing fails</dd>
</dl>
</li>
</ul>
<a name="finalize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>finalize</h4>
<pre>protected final&nbsp;void&nbsp;finalize()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></dd>
</dl>
</li>
</ul>
<a name="writeDirect-byte:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>writeDirect</h4>
<pre>public final&nbsp;void&nbsp;writeDirect(byte[]&nbsp;data)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Writes directly to the <code>OutputStream</code> of the underlying socket.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - Data to write</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - If there is no socket, the socket is closed, or for errors writing to the socket.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/WireConnection.html" target="_top">Frames</a></li>
<li><a href="WireConnection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractConnection">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
